Skip to navigation

Media · Video · Check an export and retrieve download URLs

View as Markdown

Poll using the export_id in getTaskResult SUCCESS (info.export_id or detail.export_id) from textToVideo, scriptToVideo or addBRollsVideo. Use the same authorization and workspace context as the generation request. Status: 0 queued, 1 processing, 2 failed, 3 complete. On status=3 read assets.urls[0] for the MP4 URL. Do not submit generation again while waiting for export.

Authentication

AuthorizationApi-Key

Header authentication of the form Api-Key <token>

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

export_idstringRequiredformat: "uuid"

Response

Resource or asynchronous submission result.
idstringOptionalformat: "uuid"
statusenumOptional

0=queued, 1=in process, 2=failed, 3=completed.

Allowed values:
assetsobjectOptional